List Do-Not-Call numbers
Lists the numbers on your Do-Not-Call lists, company-wide and per campaign.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
get_dncsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
Notes
campaign_id is System Internal for numbers blocked company-wide.
curl https://api.dcdial.com/api/ \ -d type=get_dncs \ -d token="$DCDIAL_TOKEN"<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'get_dncs', 'token' => getenv('DCDIAL_TOKEN'), ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "get_dncs", token: process.env.DCDIAL_TOKEN, }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "get_dncs", "token": os.environ["DCDIAL_TOKEN"], }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": 1, "error": "", "dncs_list": [ { "phone_number": "5550100123", "campaign_id": "System Internal", "last_modify_date": "2026-10-01 09:12:44" }, { "phone_number": "5550100124", "campaign_id": "1024", "last_modify_date": "2026-10-03 16:40:02" } ] }}Try it